<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
    <AssemblyVersion>1.2.1.0</AssemblyVersion>
    <FileVersion>1.2.1.0</FileVersion>
  </PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="Asp.Versioning.Http" Version="7.0.1" />
	  <PackageReference Include="Ben.BlockingDetector" Version="0.0.4" />
	  <PackageReference Include="Carter" Version="7.1.0" />
	  <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.9" />
	  <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="7.0.10" />
	  <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.9">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
	  </PackageReference>
	  <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.9">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
	  </PackageReference>
	  <PackageReference Include="Autofac" Version="7.1.0" />
	  <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
	  <PackageReference Include="Elmah.Io.AspNetCore.Serilog" Version="4.1.16" />
	  <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.9" />
	  <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="7.0.0" />
	  <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.5" />
	  <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="7.0.4" />
	  <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="7.0.0" />
	  <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="7.0.8" />
	  <PackageReference Include="Sentry.Serilog" Version="3.34.0" />
	  <PackageReference Include="Serilog" Version="3.0.1" />
	  <PackageReference Include="Serilog.AspNetCore" Version="7.0.0" />
	  <PackageReference Include="Serilog.Sinks.Console" Version="4.1.0" />
	  <PackageReference Include="Serilog.Sinks.PostgreSQL" Version="2.3.0" />
	  <PackageReference Include="Serilog.Sinks.Seq" Version="5.2.2" />
	  <PackageReference Include="Serilog.Sinks.ElmahIo" Version="4.3.29" />
	  <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
	  <PackageReference Include="StackExchange.Redis.Extensions.AspNetCore" Version="9.1.0" />
	  <PackageReference Include="StackExchange.Redis.Extensions.Core" Version="9.1.0" />
	  <PackageReference Include="StackExchange.Redis.Extensions.Newtonsoft" Version="9.1.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.5.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="7.0.8" />
	  <PackageReference Include="System.Data.SqlClient" Version="4.8.5" />
	  <PackageReference Include="System.Drawing.Common" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocuMed.Infrastructure\DocuMed.Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Autofac" />
    <Using Include="Autofac.Extensions.DependencyInjection" />
    <Using Include="Carter" />
    <Using Include="DocuMed.Api.WebFramework.Bases" />
    <Using Include="DocuMed.Api.WebFramework.Configurations" />
    <Using Include="DocuMed.Api.WebFramework.Swagger" />
    <Using Include="DocuMed.Common.Extensions" />
    <Using Include="DocuMed.Common.Models" />
    <Using Include="DocuMed.Common.Models.Api" />
    <Using Include="DocuMed.Common.Models.Entity" />
    <Using Include="DocuMed.Common.Models.Exception" />
    <Using Include="DocuMed.Common.Models.Mapper" />
    <Using Include="DocuMed.Core" />
    <Using Include="DocuMed.Core.CoreServices.Abstracts" />
    <Using Include="DocuMed.Core.EntityServices.Abstracts" />
    <Using Include="DocuMed.Core.Models.Api" />
    <Using Include="DocuMed.Domain" />
    <Using Include="DocuMed.Domain.Dtos.LargDtos" />
    <Using Include="DocuMed.Domain.Dtos.RequestDtos" />
    <Using Include="DocuMed.Domain.Dtos.SmallDtos" />
    <Using Include="DocuMed.Domain.Entities.City" />
    <Using Include="DocuMed.Domain.Entities.MedicalHistoryTemplate" />
    <Using Include="DocuMed.Domain.Entities.User" />
    <Using Include="DocuMed.Domain.Enums.QueryFilters" />
    <Using Include="DocuMed.Domain.Mappers" />
    <Using Include="DocuMed.Domain.Models.Settings" />
    <Using Include="DocuMed.Infrastructure" />
    <Using Include="DocuMed.Infrastructure.Models" />
    <Using Include="DocuMed.Repository" />
    <Using Include="DocuMed.Repository.Abstracts" />
    <Using Include="DocuMed.Repository.Extensions" />
    <Using Include="DocuMed.Repository.Models" />
    <Using Include="DocuMed.Repository.Repositories.Base.Contracts" />
    <Using Include="DocuMed.Repository.Repositories.Entities.Abstracts" />
    <Using Include="Microsoft.AspNetCore.Authentication.JwtBearer" />
    <Using Include="Microsoft.AspNetCore.Identity" />
    <Using Include="Microsoft.AspNetCore.Mvc" />
    <Using Include="Microsoft.AspNetCore.Mvc.Filters" />
    <Using Include="Microsoft.EntityFrameworkCore" />
    <Using Include="Microsoft.Extensions.Options" />
    <Using Include="Serilog" />
    <Using Include="Serilog.Events" />
    <Using Include="Serilog.Sinks.SystemConsole.Themes" />
    <Using Include="System.Security.Claims" />
  </ItemGroup>

</Project>
